service firebase.storage {
  match /b/{bucket}/o {
    match /{uid}/{anyUserFile=**} {
      allow write: if request.auth.token.admin == true;
      allow read: if (request.auth != null && uid == request.auth.uid) || request.auth.token.developer == true;
    }
  }
}